package com.meeting.demo.view.sdkconfig.menu;


import com.meeting.demo.delegate.DelegateHolder;
import com.meeting.demo.model.MenuGroup;

import java.util.List;

public class AudioConfToolbarMenuConfigFragment extends MenuConfigFragment {

    @Override
    protected void initData() {
        List<MenuGroup> audioMeetingMenuFeatures = DelegateHolder.getHwmUiDelegate().getAudioMeetingMenuFeatures();
        for (MenuGroup audioMeetingMenuFeature : audioMeetingMenuFeatures) {
            addGroupData(audioMeetingMenuFeature.getName(), audioMeetingMenuFeature.getTag(), audioMeetingMenuFeature.getMenus());
        }
    }

    @Override
    public String getName() {
        return "音频会议菜单栏";
    }

    @Override
    protected String getMenuHandleName() {
        return DelegateHolder.getHwmUiDelegate().getAudioMeetingMenuHandle();
    }
}
